Package org.eclipse.wst.xsl.ui.internal.wizards

## org.eclipse.wst.xsl.ui.internal.wizards
Class NewXSLFileWizardPage

    package-private class NewXSLFileWizardPage
    extends WizardNewFileCreationPage

## Constructor Summary

`NewXSLFileWizardPage(java.lang.String pageName , IStructuredSelection selection)`

## Method Summary

`package-private java.lang.String` | `addDefaultExtension(java.lang.String filename)`
`protected boolean` | `validatePage()`

## Constructor Detail

## NewXSLFileWizardPage

`public NewXSLFileWizardPage(java.lang.String pageName , IStructuredSelection selection)`

## Methods Detail

## addDefaultExtension

`package-private java.lang.String addDefaultExtension(java.lang.String filename)`

### Parameters

`filename`

### Returns

`java.lang.String`

## validatePage

`protected boolean validatePage()`

### Returns

`boolean`